define pe_repo::osx(
  $installer_build = $title,
  $pe_version      = $::pe_build,
) {
  include pe_repo

  $dmg = "puppet-enterprise-${pe_version}-${installer_build}.dmg"

  File {
    ensure => file,
    mode   => '0644',
    owner  => root,
    group  => root,
  }

  pe_staging::file { $dmg:
    source => "${pe_repo::base_path}/${pe_version}/${dmg}",
    target => "${pe_repo::public_dir}/${pe_version}/${dmg}",
  }

  # These variables are needed by the templates
  $prefix = $pe_repo::prefix
  $master = $pe_repo::master
  $port = $settings::masterport

  file { "${pe_repo::public_dir}/${pe_version}/${installer_build}.bash":
    content => template('pe_repo/osx.bash.erb'),
  }

  if ! defined(File["${pe_repo::public_dir}/${pe_version}"]) {
    file { "${pe_repo::public_dir}/${pe_version}":
      ensure => directory,
      mode   => 755,
      owner  => root,
      group  => root,
    }

    file { "${pe_repo::public_dir}/${pe_version}/install.bash":
      ensure  => file,
      mode    => 0644,
      owner   => root,
      group   => root,
      content => template('pe_repo/install.erb'),
    }
  }
}
