class puppet_enterprise::mcollective::server::logs {
  include puppet_enterprise::params

  File {
    owner  => $puppet_enterprise::params::root_user,
    group  => $puppet_enterprise::params::root_group,
    mode   => $puppet_enterprise::params::root_mode,
  }

  file { $puppet_enterprise::params::mco_logdir:
    ensure => directory,
  }

  file { [$puppet_enterprise::params::mco_server_log_file, $puppet_enterprise::params::mco_audit_log_file]:
    ensure => present,
  }

  #Switching back to using exec from file line.  logadm adds a timestamp to the command when it runs.  This caused the line to be modified on every puppet run.
  if $::operatingsystem == 'solaris' {
    exec { 'Solaris: pe-mcollective log rotation':
      command => "/usr/bin/echo '# pe-mcollective log rotation rule\n/var/log/pe-mcollective/mcollective.log -C 14 -c -p 1w' >> /etc/logadm.conf",
      unless  => "/usr/bin/grep 'pe-mcollective/mcollective.log' /etc/logadm.conf > /dev/null",
    }

    exec { 'Solaris: pe-mcollective audit log rotation':
      command => "/usr/bin/echo '# pe-mcollective audit log rotation rule\n/var/log/pe-mcollective/mcollective-audit.log -C 14 -c -p 1w' >> /etc/logadm.conf",
      unless  => "/usr/bin/grep 'pe-mcollective/mcollective-audit.log' /etc/logadm.conf > /dev/null",
    }
  }
}
